GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
gdcm::SimpleSubjectWatcher Class Reference

SimpleSubjectWatcher This is a typical Subject Watcher class. It will observe all events. More...

`#include <gdcmSimpleSubjectWatcher.h>`

## Public Member Functions

| SimpleSubjectWatcher (Subject *s, const char *comment="")
virtual | ~SimpleSubjectWatcher ()

## Protected Member Functions

virtual void | EndFilter ()
virtual void | ShowAbort ()
virtual void | ShowAnonymization (Subject *caller, const Event &evt)
virtual void | ShowData (Subject *caller, const Event &evt)
virtual void | ShowDataSet (Subject *caller, const Event &evt)
virtual void | ShowIteration ()
virtual void | ShowProgress (Subject *caller, const Event &evt)
virtual void | StartFilter ()
void | TestAbortOff ()
void | TestAbortOn ()

## Detailed Description

SimpleSubjectWatcher This is a typical Subject Watcher class. It will observe all events.

## Constructor & Destructor Documentation

gdcm::SimpleSubjectWatcher::SimpleSubjectWatcher | ( | Subject * | s,
|  | const char * | comment = `""`
| ) |  |

virtual gdcm::SimpleSubjectWatcher::~SimpleSubjectWatcher | ( |  | ) |

virtual

## Member Function Documentation

virtual void gdcm::SimpleSubjectWatcher::EndFilter | ( |  | ) |

protectedvirtual

virtual void gdcm::SimpleSubjectWatcher::ShowAbort | ( |  | ) |

protectedvirtual

virtual void gdcm::SimpleSubjectWatcher::ShowAnonymization | ( | Subject * | caller,
|  | const Event & | evt
| ) |  |

protectedvirtual

virtual void gdcm::SimpleSubjectWatcher::ShowData | ( | Subject * | caller,
|  | const Event & | evt
| ) |  |

protectedvirtual

virtual void gdcm::SimpleSubjectWatcher::ShowDataSet | ( | Subject * | caller,
|  | const Event & | evt
| ) |  |

protectedvirtual

virtual void gdcm::SimpleSubjectWatcher::ShowIteration | ( |  | ) |

protectedvirtual

virtual void gdcm::SimpleSubjectWatcher::ShowProgress | ( | Subject * | caller,
|  | const Event & | evt
| ) |  |

protectedvirtual

virtual void gdcm::SimpleSubjectWatcher::StartFilter | ( |  | ) |

protectedvirtual

void gdcm::SimpleSubjectWatcher::TestAbortOff | ( |  | ) |

protected

void gdcm::SimpleSubjectWatcher::TestAbortOn | ( |  | ) |

protected

The documentation for this class was generated from the following file:

- gdcmSimpleSubjectWatcher.h